Bug 203789 - Review Request: kshutdown - KShutDown is an advanced shut down utility for KDE.
Review Request: kshutdown - KShutDown is an advanced shut down utility for KDE.
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
: 186817 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-23 14:46 EDT by Chitlesh GOORAH
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 17:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2006-08-23 14:46:42 EDT
Spec URL: http://chitlesh.funpic.de/rpm/kshutdown.spec
SRPM URL: http://chitlesh.funpic.de/rpm/kshutdown-0.8.2-4.src.rpm
Description:  KShutDown is an advanced shut down utility for KDE.
Comment 1 Ville Skyttä 2006-08-23 14:56:15 EDT
*** Bug 186817 has been marked as a duplicate of this bug. ***
Comment 2 Chitlesh GOORAH 2006-08-23 15:33:50 EDT
Duplicate, to mark myself as the reporter :)
Comment 3 Kevin Fenzi 2006-09-09 21:22:11 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
6acd45acc5c0669b0973f0246e4bcca7  kshutdown-0.8.2.tar.bz2
6acd45acc5c0669b0973f0246e4bcca7  kshutdown-0.8.2.tar.bz2.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - .la files are removed.
OK - Package is a GUI app and has a .desktop file
OK - Package doesn't own any directories other packages own.
OK - No rpmlint output.

SHOULD Items:

OK - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. Should look at using a %{?dist} tag. See:
http://www.fedoraproject.org/wiki/Packaging/DistTag

Thats the only issue I see with this package, so
it's APPROVED.

Please remember to close this bug with NEXTRELEASE once it
has been imported and built.

Note You need to log in before you can comment on or make changes to this bug.